DPDK patches and discussions
 help / color / mirror / Atom feed
From: Yuanhan Liu <yuanhan.liu@linux.intel.com>
To: dev@dpdk.org
Cc: Thomas Monjalon <thomas@monjalon.net>,
	Yuanhan Liu <yuanhan.liu@linux.intel.com>
Subject: [dpdk-dev] [PATCH] devtools: list stable commits do not have fixline
Date: Fri, 28 Apr 2017 15:21:54 +0800	[thread overview]
Message-ID: <1493364114-7771-1-git-send-email-yuanhan.liu@linux.intel.com> (raw)

Some commits for stable releases (with Cc stable tag) may not have the
fixline. For example:
    http://dpdk.org/dev/patchwork/patch/23955/

It disables a feature we have implemented in last release. The feature
is done right. It's the QEMU implementaton being buggy, that we have to
disable it to workaround those buggy QEMU releases (v2.7 - v2.9). Without
such workaround, QEMU won't start when queue number >= 2.

That said, we also have to backport it to stable releases, though there
is no fixline (there was no DPDK bug to fix after all).

There should be similar cases like this. Thus, this patch makes
git-log-fixes.sh script also list those stable commits do not have
fixline.

Signed-off-by: Yuanhan Liu <yuanhan.liu@linux.intel.com>
---
 devtools/git-log-fixes.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/devtools/git-log-fixes.sh b/devtools/git-log-fixes.sh
index 3bf412e..7404946 100755
--- a/devtools/git-log-fixes.sh
+++ b/devtools/git-log-fixes.sh
@@ -116,7 +116,8 @@ stable_tag () # <hash>
 git log --oneline --reverse $range |
 while read id headline ; do
 	origins=$(origin_filter $id)
-	[ -n "$origins" ] || echo "$headline" | grep -q fix || continue
+	stable=$(stable_tag $id)
+	[ "$stable" = "S" ] || [ -n "$origins" ] || echo "$headline" | grep -q fix || continue
 	version=$(commit_version $id)
 	if [ -n "$origins" ] ; then
 		origver="$(origin_version $origins)"
@@ -126,6 +127,5 @@ while read id headline ; do
 	else
 		origver='N/A'
 	fi
-	stable=$(stable_tag $id)
 	printf '%s %7s %s %s (%s)\n' $version $id $stable "$headline" "$origver"
 done
-- 
1.9.0

             reply	other threads:[~2017-04-28  7:25 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-04-28  7:21 Yuanhan Liu [this message]
2017-04-28  8:15 ` Thomas Monjalon
2017-04-28  8:27   ` Yuanhan Liu
2017-04-28  9:00     ` Thomas Monjalon
2017-04-28  9:01       ` Yuanhan Liu
2017-04-28 10:07 ` Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1493364114-7771-1-git-send-email-yuanhan.liu@linux.intel.com \
    --to=yuanhan.liu@linux.intel.com \
    --cc=dev@dpdk.org \
    --cc=thomas@monjalon.net \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).